/* eMac for Enlightenment 0.16.x
 *
 * Author: Jon Rista
 * File: menustyles.cfg
 * Modified: 11/10/99
 *
 */

#include <definitions>
__E_CFG_VERSION 0

NORMAL_MENU_STYLE_VERTICAL("DEFAULT", "BORDERLESS", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 40)
NORMAL_MENU_STYLE_VERTICAL("ROOT", "DOCKMENU", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 40)
NORMAL_MENU_STYLE_VERTICAL("ROOT_IMAGE", "BORDERLESS", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 20)
NORMAL_MENU_STYLE_VERTICAL("EMPTY", "BORDERLESS", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 40)
NORMAL_MENU_STYLE_VERTICAL("TASK_MENU", "BORDERLESS", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 40)
NORMAL_MENU_STYLE_VERTICAL("DESK_MENU", "BORDERLESS", "MENU", "MENUBG", "MENUITEM", "DEFAULT_MENU_SUB", 40)

/******** Special Menu *********/

BEGIN_NEW_MENU("MAINT_MACMENU", "EMPTY")
ADD_MENU_TITLE("Enlightenment Maintenance")
ADD_MENU_TEXT_ITEM("Purge config file cache",               __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_clean config")
ADD_MENU_TEXT_ITEM("Purge pager background cache",          __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_clean pager")
ADD_MENU_TEXT_ITEM("Purge background selector cache",       __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_clean bgsel")
ADD_MENU_TEXT_ITEM("Purge all caches",                      __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_clean all")
ADD_MENU_TEXT_ITEM("Query config file cache usage",         __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_query config")
ADD_MENU_TEXT_ITEM("Query pager background cache usage",    __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_query pager")
ADD_MENU_TEXT_ITEM("Query background selector cache usage", __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_query bgsel")
ADD_MENU_TEXT_ITEM("Query all cache usage",                 __A_EXEC, ENLIGHTENMENT_BIN"/e_cache_query all")
ADD_MENU_TEXT_ITEM("Regenerate Menus",                      __A_EXEC, ENLIGHTENMENT_BIN"/e_gen_menu")
END_MENU

BEGIN_NEW_MENU("SFX_MACMENU", "EMPTY")
ADD_MENU_TITLE("Desktop SFX")
ADD_MENU_TEXT_ITEM("Raindrops",									__A_FX,	"raindrops")
ADD_MENU_TEXT_ITEM("Ripples",									__A_FX,	"ripples")
ADD_MENU_TEXT_ITEM("Waves",										__A_FX,	"waves")
END_MENU

BEGIN_NEW_MENU("SYSCTRL_MACMENU", "EMPTY")
ADD_MENU_TITLE("System Control")
ADD_MENU_TEXT_ITEM("Selective Application Kill",				__A_EXEC, "xkill")
ADD_MENU_TEXT_ITEM("Connect to Internet",						__A_EXEC, "sudo pon")
ADD_MENU_TEXT_ITEM("Disconnect from Internet",					__A_EXEC, "sudo poff")
END_MENU

BEGIN_NEW_MENU("TASK_MACMENU", "EMPTY")
ADD_MENU_TITLE("Task Menu")
ADD_MENU_TEXT_ITEM("Clean Up Desktop",							__A_CLEANUP,		"")
ADD_MENU_TEXT_ITEM("Previous Desktop",							__A_DESKTOP_PREV,	"")
ADD_MENU_TEXT_ITEM("Next Desktop",								__A_DESKTOP_NEXT,	"")
ADD_MENU_TEXT_ITEM("Create New Iconbox",						__A_CREATE_ICONBOX, "")
ADD_MENU_SUBMENU_TEXT_ITEM("Desktop Special Effects",	"SFX_MACMENU")
END_MENU

BEGIN_NEW_MENU("SPECIAL_MACMENU", "EMPTY")
ADD_MENU_TITLE("MacBar Special")
ADD_MENU_SUBMENU_TEXT_ITEM("Maintenance",									"MAINT_MACMENU") 
ADD_MENU_SUBMENU_TEXT_ITEM("Desktop Functions",								"TASK_MACMENU") 
ADD_MENU_SUBMENU_TEXT_ITEM("System Control",								"SYSCTRL_MACMENU")
ADD_MENU_TEXT_ITEM("Clean Up Desktop",							__A_CLEANUP,	"")
ADD_MENU_TEXT_ITEM("Restart eMac",								__A_EXIT,	"restart")
ADD_MENU_TEXT_ITEM("Log Out",	 								__A_EXIT,	"logout")
ADD_MENU_TEXT_ITEM("Reboot",									__A_EXEC,	"reboot")
ADD_MENU_TEXT_ITEM("Reboot",									__A_EXEC,	"sudo reboot")
ADD_MENU_ITEM("Shutdown",							"shutdown",	__A_EXEC,	"shutdown -h now")
ADD_MENU_ITEM("Shutdown",							"shutdown",	__A_EXEC,	"sudo shutdown -h now")
END_MENU

BEGIN_NEW_MENU("HELP_MACMENU", "EMPTY")
ADD_MENU_TITLE("MacBar Help Menu")
ADD_MENU_TEXT_ITEM("Enlightenment Help",						__A_EXEC, ENLIGHTENMENT_BIN"/dox" ENLIGHTENMENT_ROOT"/E-docs")
ADD_MENU_TEXT_ITEM("About Enlightenment",						__A_ABOUT, "")
ADD_MENU_TEXT_ITEM("About This Theme",							__A_EXEC, ENLIGHTENMENT_BIN"/dox" ENLIGHTENMENT_THEME"/ABOUT")
END_MENU

/********* Apple Menu *********/

__ICLASS __BGN
  __NAME "blank"
  __NORMAL "appleicons/blank.png"
__END

__ICLASS __BGN
  __NAME "ssaver"
  __NORMAL "appleicons/apple_ssaver.png"
__END

__ICLASS __BGN
  __NAME "backgrounds"
  __NORMAL "appleicons/apple_background.png"
__END

__ICLASS __BGN
  __NAME "netscape"
  __NORMAL "appleicons/apple_netscape.png"
__END

__ICLASS __BGN
  __NAME "gimp"
  __NORMAL "appleicons/apple_gimp.png"
__END

__ICLASS __BGN
  __NAME "ee"
  __NORMAL "appleicons/apple_ee.png"
__END

__ICLASS __BGN
  __NAME "bell"
  __NORMAL "appleicons/apple_bell.png"
__END

__ICLASS __BGN
  __NAME "apps"
  __NORMAL "appleicons/apple_apps.png"
__END

__ICLASS __BGN
  __NAME "docs"
  __NORMAL "appleicons/apple_docs.png"
__END

__ICLASS __BGN
  __NAME "comppref"
  __NORMAL "appleicons/apple_comppref.png"
__END

__ICLASS __BGN
  __NAME "userpref"
  __NORMAL "appleicons/apple_userpref.png"
__END

__ICLASS __BGN
  __NAME "textedit"
  __NORMAL "appleicons/apple_textedit.png"
__END

__ICLASS __BGN
  __NAME "term"
  __NORMAL "appleicons/apple_term.png"
__END

__ICLASS __BGN
  __NAME "mouse"
  __NORMAL "appleicons/apple_mouse.png"
__END

__ICLASS __BGN
  __NAME "sound"
  __NORMAL "appleicons/apple_sound.png"
__END

__ICLASS __BGN
  __NAME "keyboard"
  __NORMAL "appleicons/apple_keyboard.png"
__END

__ICLASS __BGN
  __NAME "appearance"
  __NORMAL "appleicons/apple_appearance.png"
__END


__ICLASS __BGN
  __NAME "session"
  __NORMAL "appleicons/apple_loginitems.png"
__END

__ICLASS __BGN
  __NAME "shutdown"
  __NORMAL "appleicons/apple_shutdown.png"
__END

/********************************************************************************/

BEGIN_NEW_MENU("APPLE_USERPREF_SUBMENU", "EMPTY")
ADD_MENU_ITEM("Configure Enlightenment",    "blank",  "e-conf")
ADD_MENU_TEXT_ITEM("-----------------------",		"blank",  "blank")
ADD_MENU_ITEM("Configure GNOME", "blank",			__A_EXEC, "gnomecc")
ADD_MENU_ITEM("Backgrounds", "backgrounds",			__A_EXEC, "background-properties-capplet")
ADD_MENU_ITEM("Screensavers", "ssaver",				__A_EXEC, "screensaver-properties-capplet")
ADD_MENU_ITEM("Theme Selector", "appearance",		__A_EXEC, "theme-selector-capplet")
ADD_MENU_ITEM("Keyboard Properties", "keyboard",	__A_EXEC, "keyboard-properties")
ADD_MENU_ITEM("Mouse Properties", "mouse",			__A_EXEC, "mouse-properties-capplet")
ADD_MENU_ITEM("Bell Properties", "bell",			__A_EXEC, "bell-properties-capplet")
ADD_MENU_ITEM("Session Properties", "session",		__A_EXEC, "session-properties-capplet")
ADD_MENU_ITEM("Sound Properties", "sound",			__A_EXEC, "sound-properties")
END_MENU

BEGIN_NEW_MENU("APPLE_COMPPREF_SUBMENU", "EMPTY")
ADD_MENU_TEXT_ITEM("Imlib Settings",				__A_EXEC, "imlib_config")
ADD_MENU_TEXT_ITEM("Gnome - System Process Monitor",	__A_EXEC, "gtop")
ADD_MENU_TEXT_ITEM("Gnome - User Listing",			__A_EXEC, "gw")
ADD_MENU_TEXT_ITEM("Gnome - GOAD Browser",			__A_EXEC, "goad-browser")
ADD_MENU_TEXT_ITEM("Debian PPP Configurator",		__A_EXEC, "pppconfig")
ADD_MENU_TEXT_ITEM("X Screensaver Demos",			__A_EXEC, "xscreensaver-command")
ADD_MENU_TEXT_ITEM("(Re)Start X Screensaver"		__A_EXEC, "xscreensaver-command -exit && xscreensaver")
END_MENU

BEGIN_NEW_MENU("APPLE_TERMS_SUBMENU", "EMPTY")
ADD_MENU_ITEM("eMac Terminal (Eterm)",				"term",		__A_EXEC,	"Eterm -t 'eMac'")
ADD_MENU_ITEM("KDE Terminal",						"term",		__A_EXEC,	"kvt")
ADD_MENU_ITEM("X Terminal",							"term",		__A_EXEC,	"xterm")
ADD_MENU_ITEM("RXVT",								"term",		__A_EXEC,	"rxvt")
ADD_MENU_ITEM("Gnome Terminal",						"term",		__A_EXEC,	"gnome-terminal")
END_MENU

BEGIN_NEW_FILE_MENU("APPLE_APPS_SUBMENU", "EMPTY", HOME_DIR"/.emac/file.menu")
END_MENU
/*
BEGIN_NEW_MENU("APPLE_APPS_SUBMENU", "EMPTY")
ADD_MENU_TEXT_ITEM("Gnome Text Editor",						__A_EXEC,	"gedit")
ADD_MENU_TEXT_ITEM("KDE Text Editor",						__A_EXEC,	"kedit")
ADD_MENU_TEXT_ITEM("GXEditor",								__A_EXEC,	"gxedit")
ADD_MENU_TEXT_ITEM("Gnome FTP Client",						__A_EXEC,	"gftp")
ADD_MENU_TEXT_ITEM("Igloo FTP Client",						__A_EXEC,	"IglooFTP")
ADD_MENU_TEXT_ITEM("Corel WordPerfect 8",					__A_EXEC,	"/usr/local/corel/wpbin/xwp")
ADD_MENU_TEXT_ITEM("BlueFish HTML Editor",					__A_EXEC,	"bluefish")
ADD_MENU_TEXT_ITEM("Gnome Integrated Development Envirenment",					__A_EXEC,	"gide")
ADD_MENU_TEXT_ITEM("X-Chat",								__A_EXEC,	"xchat")
ADD_MENU_TEXT_ITEM("L ICQ",									__A_EXEC,	"licq")
ADD_MENU_TEXT_ITEM("Gnome ICU",								__A_EXEC,	"gnomeicu")
ADD_MENU_TEXT_ITEM("Gnome ICQ",								__A_EXEC,	"gicq")
ADD_MENU_TEXT_ITEM("KPPP Dialer",							__A_EXEC,	"kppp")
ADD_MENU_TEXT_ITEM("Gnome PPP Dialer",						__A_EXEC,	"gnome-ppp")
ADD_MENU_TEXT_ITEM("The GIMP",								__A_EXEC,	"gimp")
ADD_MENU_TEXT_ITEM("ElectricEyes",							__A_EXEC,	"ee")
ADD_MENU_TEXT_ITEM("GQView Image Viewer",					__A_EXEC,	"gqview")
ADD_MENU_TEXT_ITEM("GQMpeg MP3 Player",						__A_EXEC,	"gqmpeg")
ADD_MENU_TEXT_ITEM("X MultiMedia System",					__A_EXEC,	"xmms")
ADD_MENU_SUBMENU_TEXT_ITEM("Terminal Emulators",			"APPLE_TERMS_SUBMENU")
END_MENU
*/
BEGIN_NEW_MENU("APPLE_MENU", "EMPTY")
ADD_MENU_TITLE("Apple Menu")
ADD_MENU_TEXT_ITEM("-----------------------",		"blank",	"blank")
ADD_MENU_TEXT_ITEM("About This Theme",				__A_EXEC, ENLIGHTENMENT_BIN"/dox" ENLIGHTENMENT_THEME"/ABOUT")
ADD_MENU_TEXT_ITEM("-----------------------",		"blank",	"blank")
ADD_MENU_ITEM("Netscape",							"netscape",	__A_EXEC,	"/usr/local/netscape/netscape")
ADD_MENU_ITEM("Text Editor",						"textedit", __A_EXEC,	"gedit")
ADD_MENU_ITEM("The GIMP",							"gimp",		__A_EXEC,	"gimp")
ADD_MENU_ITEM("E Terminal",							"term",		__A_EXEC,	"Eterm -t 'auto'")

/* ADD_MENU_ITEM("Gnome - Run Program...",				"blank",	__A_EXEC,	"gnome-run")
ADD_MENU_ITEM("Calculator",							"blank",	__A_EXEC,	"xcalc")
ADD_MENU_ITEM("Ghostscript Viewer",					"blank",	__A_EXEC,	"ghostview")
ADD_MENU_ITEM("Cipboard",							"blank",	__A_EXEC,	"xclipboard") */

ADD_MENU_SUBMENU_ITEM("User Prefrences",			"userpref", "APPLE_USERPREF_SUBMENU")

/* ADD_MENU_SUBMENU_ITEM("Computer Settings",			"comppref",	"APPLE_COMPPREF_SUBMENU") */

ADD_MENU_SUBMENU_ITEM("Applications",				"apps",		"APPLE_APPS_SUBMENU")
/* ADD_MENU_TEXT_ITEM("Reboot",									__A_EXEC,	"reboot")
ADD_MENU_TEXT_ITEM("Reboot",									__A_EXEC,	"sudo reboot")
ADD_MENU_TEXT_ITEM("Shutdown",									__A_EXEC,	"shutdown -h now")
ADD_MENU_TEXT_ITEM("Shutdown",									__A_EXEC,	"sudo shutdown -h now") */
END_MENU